cgSetIntArrayStateAssignment(3)

NAME
cgSetIntArrayStateAssignment - set an int-valued state assignment array

SYNOPSIS
  #include <Cg/cg.h>
  CGbool cgSetIntArrayStateAssignment( CGstateassignment sa,
                                       const int * vals );

PARAMETERS

sa  A handle to a state assignment array of type CG_INT.

vals
    The values which will be used to set sa.

RETURN VALUES
Returns CG_TRUE if it succeeds in setting the state assignment.

Returns CG_FALSE otherwise.

DESCRIPTION
cgSetIntArrayStateAssignment sets the value of a state assignment of int array type.

EXAMPLES
to-be-written

ERRORS
CG_INVALID_STATE_ASSIGNMENT_HANDLE_ERROR is generated if sa is not a valid state assignment.

CG_STATE_ASSIGNMENT_TYPE_MISMATCH_ERROR is generated if sa is not a state assignment of an int type.

HISTORY
cgSetIntArrayStateAssignment was introduced in Cg 1.5.

SEE ALSO
the cgGetIntStateAssignmentValues manpage, the cgSetIntStateAssignment manpage, the cgSetBoolArrayStateAssignment manpage, the cgSetBoolStateAssignment manpage, the cgSetFloatArrayStateAssignment manpage, the cgSetFloatStateAssignment manpage, the cgSetProgramStateAssignment manpage, the cgSetSamplerStateAssignment manpage, the cgSetStringStateAssignment manpage, the cgSetTextureStateAssignment manpage